<?xml version="1.0" encoding="iso-8859-1"?>

<!--
Converts a directory listing from a Cocoon DirectoryGenerator into a simple html page links
-->

<!--
$Id: directory-to-html.xsl,v 1.4 2002/07/29 14:05:58 bdelacretaz Exp $
$Log: directory-to-html.xsl,v $
Revision 1.4  2002/07/29 14:05:58  bdelacretaz
sample files are now sorted by filename

Revision 1.3  2002/07/12 14:30:48  bdelacretaz
inherit-attributes.xsl and related tests added

Revision 1.2  2002/06/06 07:17:32  bdelacretaz
samples navigation bugs corrected

Revision 1.1  2002/05/22 15:53:20  bdelacretaz
Cocoon 2 navigation added for samples

-->

<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:dir="http://apache.org/cocoon/directory/2.0"
	xmlns:req="http://xml.apache.org/cocoon/requestgenerator/2.0"
>

	<xsl:variable name="dirname" select="//dir:directory/@name"/>
	<xsl:variable name="requestPath" select="//req:request/@target"/>

	<xsl:template match="/">
		<html>
			<head>
				<title>jfor RTF conversion tests</title>
			</head>

			<body style="FONT: small Arial, Helvetica, sans-serif">
				<table cellpadding="0" cellspacing="0">
					<tr>
						<td style="font-size:120%; cellpadding=10" colspan="2">
							<b>jfor test files navigation</b>
						</td>
					</tr>
					<tr>
						<td valign="top">
							<xsl:call-template name="navigation"/>
						</td>
						<td valign="top">
							<xsl:call-template name="files"/>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="navigation">
		<table cellspacing="5">
			<tr style="BACKGROUND-COLOR: yellow">
				<td>
					directory navigation
					(or go <a href="../index.html">up to parent directory</a>)
				</td>
			</tr>
			<xsl:apply-templates select="//dir:directory/dir:directory[not(@name = 'CVS')]"/>
		</table>
	</xsl:template>

	<xsl:template name="files">
		<xsl:variable name="testFiles" select="//dir:file"/>
		<xsl:if test="$testFiles">
			<table cellspacing="5">
				<tr style="BACKGROUND-COLOR: yellow">
					<td colspan="2">
						Available test files in directory <font color="blue"><xsl:value-of select="$dirname"/></font>:
					</td>
				</tr>
				<tr style="BACKGROUND-COLOR: yellow">
					<td>XSL-FO source</td>
					<td>(post-processed)</td>
					<td>RTF conversion through jfor</td>
					<td>(post-processed)</td>
				</tr>
				<xsl:apply-templates select="//dir:file">
                    <xsl:sort select="@name"/>
                </xsl:apply-templates>
			</table>
            
            <p><em>post-processed</em> means that the XSL-FO files goes through the
            inherit-attributes.xsl transform (provided in the samples directory)
            before being converted by jfor
            </p>
            
		</xsl:if>
	</xsl:template>

	<!-- for each file, generate a link to the XSL-FO and RTF versions -->
	<xsl:template match="dir:file">
		<xsl:if test="contains(@name,'.xml')">
            <xsl:variable name="postProc" select="'pp/'"/>
			<xsl:variable name="xmlFile" select="@name"/>
			<xsl:variable name="ppXmlFile" select="concat($postProc,$xmlFile)"/>
			<xsl:variable name="rtfFile" select="concat(@name,'.rtf')"/>
			<xsl:variable name="ppRtfFile" select="concat($postProc,$rtfFile)"/>
	
			<tr>
				<xsl:if test="position() mod 2 = 0">
					<xsl:attribute name ="style" >BACKGROUND-COLOR: lightgrey</xsl:attribute>
				</xsl:if>
				<td><a href="{$xmlFile}"><xsl:value-of select="$xmlFile"/></a></td>
				<td><a href="{$ppXmlFile}"><xsl:value-of select="$ppXmlFile"/></a></td>
				<td><a href="{$rtfFile}"><xsl:value-of select="$rtfFile"/></a></td>
				<td><a href="{$ppRtfFile}"><xsl:value-of select="$ppRtfFile"/></a></td>
			</tr>
		</xsl:if>
	</xsl:template>

	<!-- generate links to subdirectories -->
	<xsl:template match="dir:directory">
		<tr>
			<xsl:if test="position() mod 2 = 0">
				<xsl:attribute name ="style" >BACKGROUND-COLOR: lightgrey</xsl:attribute>
			</xsl:if>
			<td><a href="{@name}/index.html"><xsl:value-of select="@name"/></a></td>
		</tr>
	</xsl:template>

</xsl:stylesheet>
